Ubuntu

EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.

Reported by yoman82 on 2009-09-01
This bug affects 919 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
kerneloops (Ubuntu)
High
federicosm2
Karmic
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Karmic
Undecided
Unassigned

Bug Description

The edac_amd64 module attempts to load on many systems. If the system doesn't have ECC
memory, or it is disabled in the BIOS, then the module prints

EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
    Either Enable ECC in the BIOS, or use the 'ecc_enable_override' parameter.
    Might be a BIOS bug, if BIOS says ECC is enabled
    Use of the override can cause unknown side effects.

before failing to load. This won't cause issues for most people that see the message.

kerneloops picks this up as kernel problem as the "WARNING:" looks a lot like what
you get when using WARN().

There are several aspects to this issue:

  * linux
     - something attempts to load the module when perhaps it doesn't need to (unclear at this point)
     - the module looks like it is using WARN() when it isn't, and is arguably more SHOUTY than
       it needs to be.
  * kerneloops
     - picks up this as WARN() when it isn't.
     - Was accidentally left enabled for the stable release, people shouldn't be getting asked to report
        this at this point.
     - Isn't very good at dealing with repeat issues, causing more reports to be sent than are needed.

and possibly others as well.

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: yoman82 3464 F.... pulseaudio
 /dev/snd/pcmC0D0p: yoman82 3464 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xf9ff0000 irq 16'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,18491e01,00100001'
   Controls : 37
   Simple ctrls : 21
Date: Tue Sep 1 07:48:00 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=69c64130-cc6f-4a5b-952b-3ba4c893ba48
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
NonfreeKernelModules: nvidia
Package: linux-image-2.6.31-8-generic 2.6.31-8.28
PccardctlIdent:

PccardctlStatus:

ProcCmdLine: root=UUID=19f3bdd6-1b33-48e0-8081-d00e178d9f7d ro splash vga=792
ProcVersionSignature: Ubuntu 2.6.31-8.28-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-8-generic N/A
 linux-firmware 1.16
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Tags: kernel-oops
Title: 6.073813] EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
Uname: Linux 2.6.31-8-generic x86_64
WifiSyslog:

WpaSupplicantLog:

dmi.bios.date: 04/24/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.00
dmi.board.name: M3A780GXH/128M
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.00:bd04/24/2009:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnM3A780GXH/128M:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

http://bugzilla.kernel.org/show_bug.cgi?id=15238

yoman82 (yoman821) wrote :

I notice the following in your OopsText.txt file:

EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
    Either Enable ECC in the BIOS, or use the 'ecc_enable_override' parameter.
    Might be a BIOS bug, if BIOS says ECC is enabled
    Use of the override can cause unknown side effects.

Could you check your BIOS and see if ECC is enabled or disabled?

Changed in linux (Ubuntu):
status: New → Incomplete
eXlin (hirvonen-henri) wrote :

Checked bios and nothing about ECC, but maybe thats because i have non-ecc memory.
Dont think that on earlier kernels its tryed to load ecc module and then complaining that cant do it.

Can someone help how to disable that ecc module?
Thanks for advance ;)

Dave Morley (davmor2) wrote :

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tester 3047 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xfe028000 irq 20'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,1019e601,00100002'
   Controls : 37
   Simple ctrls : 21
CurrentDmesg: [ 81.413041] eth0: no IPv6 routers present
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=afce901e-f703-43c1-afb3-b62acec0b28d
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Package: linux (not installed)
PccardctlIdent:

PccardctlStatus:

ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-10-generic root=UUID=b29b36fe-88fa-4f90-8869-b9cf30716c72 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-10-generic N/A
 linux-firmware 1.18
RfKill:

Uname: Linux 2.6.31-10-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 11/08/2006
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: NF-M2S
dmi.board.vendor: www.abit.com.tw
dmi.chassis.type: 3
dmi.chassis.version: NF-M2S
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd11/08/2006:svn:pnNF-M2S:pvr:rvnwww.abit.com.tw:rnNF-M2S:rvr:cvn:ct3:cvrNF-M2S:
dmi.product.name: NF-M2S

Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Dave Morley (davmor2) on 2009-09-15
Changed in linux (Ubuntu):
status: New → Confirmed

I'm having the same issue (bug 430547, I marked it as duplicate). Each time I boot Apport reports the kernel error 2-4 times (maybe the double reports is a separate Apport bug). Like asked before: is there a way for me to disable the ECC module. My motherboard, a Gigabyte K8NF-9, does not support ECC so I can not disable it in the BIOS.

Koen Verweij (kfverweij) wrote :

So there are about a dozen duplicate bugs of this now (bug 415381, bug 431039, bug 432905). Is this going to be looked at?

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
narkosen (paul-cook) wrote :

By way of further information, this crashes disappears when the proprietary nvidia is driver removed (version 185).
When it is activated the kernel oops crash is reported by apport around 10-20 seconds after logon to the gnome desktop. It has occurred with both the x86_64 generic kernels 2.31.10 and 2.31.11.
Motherboard is an Asus A8N-SLI premium with 4GB non-ECC RAM and nVidia Corporation G72 [GeForce 7300 LE] rev 161 card. There is no option to enable/disable ECC in the Phoenix bios.
Hope this helps!

Seth Hikari (sethhikari) wrote :

I believe my RAM supports ECC but not when I clock it over 800 witch it is.

narkosen (paul-cook) wrote :

Kernel oops continues as of 2.6.31.11.38, with or without nvidia driver loaded now!
However it occurs exactly 60 seconds after logging on to the GDM and seems to coincide with update-manager (Update Notifier) being loaded automatically under 'System->Preferences->Startup Applications (monitored using top in the terminal).

The workaround for me is to untick Update Notifier and use manually when required. Kernel oops then disappears!
Attached is the details from the kern.log when the oops occurs.

Is this an update-manager bug?

Juan Tyson (juant) wrote :

I have no ECC memory.

Tim Wright (timw) wrote :

Same issue. Yes, I do have the nvidia video driver loaded. I can easily try without. But this is *not* an oops, not a real problem, and apport should probably not be picking it up. The driver could do with being less verbose. As others have pointed out, a lot of non-server boards don't even have the option to enable/disable ECC in the BIOS. It was my impression that the NForce4 chipset happily autodetected and supported ECC memory without any settings being needed.

oli z (oliver-z) wrote :

for me it was an oops and the whole system freezes - and imo this is a big problem when my system freezes

wayne pronge (waynepronge) wrote :

Same warning message as fist op. No ECC in bios settings. amd64 X2 4200 Bios Award.

Gerard Chabbey (jgchab) wrote :

through the same computeur, upgrading from Ubuntu 9.04 and kernel 2.6.28 to Ubuntu 9.10, problems become with kernel 2.6.31 and nvidia 185: instable with gnome and many applets, crash and frezze. GC

I have the same mobo as narkosen.
This had not happen with previous kernels

Juan Tyson (juant) wrote :

This happed while using firefox. I recived three reports of failures.

wayne pronge (waynepronge) wrote :

With the new updates today to Kernel 2.6.31-13 Error messages are resolved for me. Karmic64 beta all updated.

Koen Verweij (kfverweij) wrote :

This still happens for me on an updated Karmic 64-bit.

Tim Wright (timw) wrote :

Still broken with the latest update, in fact worse than before. It is perfectly normal and expected that you can use either non-ECC or ECC memory with the NForce4 Ultra chipset, and it gets handled appropriately. This machine is working fine. The "EDAC amd64" driver is broken if it is treating this an an error. If it only supports ECC memory, then either it should not be being loaded or it should gracefully exit/fail with a statement to that effect.

Pitcher (m-waechter) wrote :

same here, after last updates today not resolved

Harry (harry33) wrote :

Due to posts 27 and 29 the importance should possibly be high.
This crash report really does come up even nothing is done manually after login, seemingly just by itself.
But I can confirm that the timing is exactly the same as the update-notifier comes up.

bwallum (rbw2) wrote :

This problem has just started with me, 17:15 gmt Friday 16th October, latest updates from main.

Sam_ (and-sam) wrote :
Download full text (4.2 KiB)

Karmic since two weeks (new installation).
First time it occured after an update (via Synaptic) and reboot today.
Message about ECC (Error Correction Code) was in the logs all along, but no Apport bug report till this moment.
System runs still stable.
History:
Since the message occured in logfiles I did a search on this and acknowledged the GUI system monitor showed 999,9 MB RAM instead of 1024 as before in Hardy. My BIOS also isn't capable of ECC. (Details of sys specs are in the uploaded Apport report)
Related message in logfile was:
Phoenix BIOS detected: BIOS may corrupt low RAM, working around it.

$free
            total used free shared buffers cached
Mem: 1023932 980728 43204 0 59672 399912
-/+ buffers/cache: 521144 502788
Swap: 3478032 0 3478032

$free -m
             total used free shared buffers cached
Mem: 999 957 42 0 58 390
-/+ buffers/cache: 508 490
Swap: 3396 0 3396

As suggested here I ran MEM Test, passed without any errors.
http://ubuntuforums.org/archive/index.php/t-1084863.html

Only Synaptic was open during update.
Commit Log for Fri Oct 16 19:49:53 2009
apport (1.9.3-0ubuntu1) to 1.9.3-0ubuntu2
apport-gtk (1.9.3-0ubuntu1) to 1.9.3-0ubuntu2
apt (0.7.23.1ubuntu1) to 0.7.23.1ubuntu2
apt-transport-https (0.7.23.1ubuntu1) to 0.7.23.1ubuntu2
apt-utils (0.7.23.1ubuntu1) to 0.7.23.1ubuntu2
compiz (1:0.8.3+git20091005-0ubuntu5) to 1:0.8.4-0ubuntu1
compiz-core (1:0.8.3+git20091005-0ubuntu5) to 1:0.8.4-0ubuntu1
compiz-fusion-plugins-extra (0.8.3+git20090914-0ubuntu1) to 0.8.4-0ubuntu1
compiz-fusion-plugins-main (0.8.3+git20091006-0ubuntu1) to 0.8.4-0ubuntu1
compiz-gnome (1:0.8.3+git20091005-0ubuntu5) to 1:0.8.4-0ubuntu1
compiz-plugins (1:0.8.3+git20091005-0ubuntu5) to 1:0.8.4-0ubuntu1
compiz-wrapper (1:0.8.3+git20091005-0ubuntu5) to 1:0.8.4-0ubuntu1
compizconfig-backend-gconf (0.8.2-0ubuntu2) to 0.8.4-0ubuntu1
cups (1.4.1-4) to 1.4.1-5ubuntu2
cups-bsd (1.4.1-4) to 1.4.1-5ubuntu2
cups-client (1.4.1-4) to 1.4.1-5ubuntu2
cups-common (1.4.1-4) to 1.4.1-5ubuntu2
devicekit-power (011-1) to 011-1ubuntu1
evince (2.28.0-0ubuntu4) to 2.28.0-0ubuntu5
gnome-power-manager (2.28.0-0ubuntu6) to 2.28.0-0ubuntu7
gnome-settings-daemon (2.28.0-0ubuntu3) to 2.28.0-0ubuntu5
libcompizconfig0 (0.8.3+git20090901-0ubuntu1) to 0.8.4-0ubuntu1
libcups2 (1.4.1-4) to 1.4.1-5ubuntu2
libcupscgi1 (1.4.1-4) to 1.4.1-5ubuntu2
libcupsdriver1 (1.4.1-4) to 1.4.1-5ubuntu2
libcupsimage2 (1.4.1-4) to 1.4.1-5ubuntu2
libcupsmime1 (1.4.1-4) to 1.4.1-5ubuntu2
libcupsppdc1 (1.4.1-4) to 1.4.1-5ubuntu2
libdecoration0 (1:0.8.3+git20091005-0ubuntu5) to 1:0.8.4-0ubuntu1
libdevkit-power-gobject1 (011-1) to 011-1ubuntu1
libevdocument1 (2.28.0-0ubuntu4) to 2.28.0-0ubuntu5
libevview1 (2.28.0-0ubuntu4) to 2.28.0-0ubuntu5
libgudev-1.0-0 (1:147~-5) to 1:147~-6
libpolkit-agent-1-0 (0.94-1) to 0.94-1ubuntu1
libpolkit-backend-1-0 (0.94-1) to 0.94-1ubuntu1
libpolkit-gobject-1-0 (0.94-1) to 0.94-1ubuntu1
libudev0 (147~-5) to 147~-6
nvidia-173-modaliases (173.14.20-0ubuntu2) to 173.14.20-0ubuntu3
nvidi...

Read more...

bwallum (rbw2) wrote :

This bug appears to set off a Pheonix bios protection function on a i386 platform.

bwallum (rbw2) wrote :

Bug still here with completely new install using AMD64 daily dated 12th October and updated from main.

Harry (harry33) on 2009-10-22
Changed in linux (Ubuntu):
assignee: nobody → Ubuntu Kernel Team (ubuntu-kernel-team)
summary: - 6.073813] EDAC amd64: WARNING: ECC is NOT currently enabled by the
- BIOS. Module will NOT be loaded.
+ EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module
+ will NOT be loaded.
Andy Whitcroft (apw) on 2009-10-24
Changed in apport (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu):
assignee: Ubuntu Kernel Team (ubuntu-kernel-team) → Andy Whitcroft (apw)
ingo (ingo-priess) on 2009-10-25
Changed in apport (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) on 2009-10-26
affects: apport (Ubuntu) → kerneloops (Ubuntu)
bomar070 (balasso-omar) on 2009-10-26
Changed in linux (Ubuntu):
status: Triaged → Confirmed
James Westby (james-w) on 2009-10-28
Changed in kerneloops (Ubuntu):
status: Confirmed → Triaged
assignee: nobody → James Westby (james-w)
visibility: public → private
Martin Pitt (pitti) on 2009-10-29
visibility: private → public
olkarp (olkarp-gmail) on 2009-10-30
visibility: public → private
Dario Panico (dariopnc-) on 2009-10-30
visibility: private → public
doucetan (doucetan) on 2009-10-31
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Changed in linux (Ubuntu):
assignee: Andy Whitcroft (apw) → magia154 (magia154-gmail)
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in kerneloops (Ubuntu):
status: Triaged → Fix Committed
Changed in linux:
status: New → Fix Committed
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in kerneloops (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux:
status: Fix Committed → Fix Released
nidhogge (nidhogge) on 2009-11-01
Changed in linux:
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
James Westby (james-w) on 2009-11-01
Changed in kerneloops (Ubuntu):
status: Fix Released → Triaged
Changed in linux:
status: Fix Released → New
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
assignee: magia154 (magia154-gmail) → Andy Whitcroft (apw)
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
traacer (traacer) on 2009-11-02
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
status: Incomplete → Confirmed
jomafras (jomafras321) on 2009-11-02
Changed in kerneloops (Ubuntu):
status: Triaged → Fix Released
Changed in kerneloops (Ubuntu):
status: Fix Released → Fix Committed
James Westby (james-w) on 2009-11-02
Changed in kerneloops (Ubuntu):
status: Fix Committed → Triaged
James Westby (james-w) on 2009-11-02
description: updated
Niesje86 (vanleijen-mgj) on 2009-11-02
Changed in kerneloops (Ubuntu):
assignee: James Westby (james-w) → Niesje86 (vanleijen-mgj)
Niesje86 (vanleijen-mgj) on 2009-11-02
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
James Westby (james-w) on 2009-11-03
Changed in linux (Ubuntu):
status: Fix Committed → Confirmed
Changed in kerneloops (Ubuntu):
assignee: Niesje86 (vanleijen-mgj) → James Westby (james-w)
Andy Whitcroft (apw) on 2009-11-03
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Changed in linux (Ubuntu):
status: Invalid → New
Martin Pitt (pitti) on 2009-11-04
Changed in kdesudo:
status: New → Invalid
Andy Whitcroft (apw) on 2009-11-04
Changed in linux (Ubuntu):
status: New → Invalid
Martin Pitt (pitti) on 2009-11-09
Changed in linux (Ubuntu Karmic):
status: New → Fix Committed
INFOMDQ (info-infomdq) on 2009-11-24
Changed in linux (Ubuntu):
status: Invalid → In Progress
status: In Progress → New
Changed in linux:
status: New → Invalid
Changed in linux (Ubuntu):
status: New → Invalid
Changed in kerneloops (Ubuntu):
status: Triaged → Fix Released
status: Fix Released → New
Martin Pitt (pitti) on 2009-11-27
Changed in kerneloops (Ubuntu):
status: New → Triaged
Changed in linux (Ubuntu Karmic):
assignee: nobody → imre85 (imre-guaglianone)
belzaroth (daddynew2003) on 2010-01-03
Changed in linux (Ubuntu):
status: Invalid → Confirmed
Martin Pitt (pitti) on 2010-01-03
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Martin Pitt (pitti) on 2010-01-04
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
187 comments hidden view all 267 comments
Frdbrkl (frdbrkl) wrote :

 Anecdotally speaking, I never experienced the bug until I booted my machine with the External Lacie Firewire Hard Drive plugged into the machine but "switched off" at the hard drive itself (powered down by switch in the external enclosure).

I'm not a programmer, but thought this may provide a clue (it explains the 1394 failure comments on the boot screen though).

Selon Frdbrkl <email address hidden>:

> Anecdotally speaking, I never experienced the bug until I booted my
> machine with the External Lacie Firewire Hard Drive plugged into the
> machine but "switched off" at the hard drive itself (powered down by
> switch in the external enclosure).
>
> I'm not a programmer, but thought this may provide a clue (it explains
> the 1394 failure comments on the boot screen though).
>
>
Merci pour cette réponse.
Effectivement j'ai un Disque Dur Externe branché à mon PC via une prise USB,
et celui-ci était branché au PC ( éteint) lorsque j'ai procédé à l'installation.
Je vais procédé à des testes sans ce DD externe.
Cordialement;
Bruno Séradzski.

Takenzo (compactx) on 2010-01-09
Changed in kerneloops (Ubuntu):
status: Triaged → Fix Released
Changed in linux (Ubuntu):
status: Fix Released → Confirmed

Please dont change the status of bugs without saying why. Please read the comments they explain its not an issue its just apport picking up on a kernel warning.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
AndreyI (asr) on 2010-01-13
Changed in linux (Ubuntu):
assignee: Andy Whitcroft (apw) → AndreyI (asr)
Tolea (tolea-photo) wrote :

i didn't felt problems with this bug.. and maibe i wownt... (after readiong the info below)
but in anny case ... it's not a normal reaction off the system...

P.S. thanks for your work in the opensource projects :)

Minux (bruno-seradzski) wrote :
Download full text (4.4 KiB)

Selon Tolea <email address hidden>:

> i didn't felt problems with this bug.. and maibe i wownt... (after readiong
> the info below)
> but in anny case ... it's not a normal reaction off the system...
>
> P.S. thanks for your work in the opensource projects :)
>
I'have install 9.04 64 bit, it's ok and update to 9.10 it's ok no problems.
Sorry for my English;
Bruno Séradzski.
> --
> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
> NOT be loaded.
> https://bugs.launchpad.net/bugs/422536
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in KDE frontend for sudo: Invalid
> Status in The Linux Kernel: Invalid
> Status in “kerneloops” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “kerneloops” source package in Karmic: New
> Status in “linux” source package in Karmic: Fix Committed
>
> Bug description:
> The edac_amd64 module attempts to load on many systems. If the system doesn't
> have ECC
> memory, or it is disabled in the BIOS, then the module prints
>
> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
> NOT be loaded.
> Either Enable ECC in the BIOS, or use the 'ecc_enable_override'
> parameter.
> Might be a BIOS bug, if BIOS says ECC is enabled
> Use of the override can cause unknown side effects.
>
> before failing to load. This won't cause issues for most people that see the
> message.
>
> kerneloops picks this up as kernel problem as the "WARNING:" looks a lot
> like what
> you get when using WARN().
>
> There are several aspects to this issue:
>
> * linux
> - something attempts to load the module when perhaps it doesn't need to
> (unclear at this point)
> - the module looks like it is using WARN() when it isn't, and is
> arguably more SHOUTY than
> it needs to be.
> * kerneloops
> - picks up this as WARN() when it isn't.
> - Was accidentally left enabled for the stable release, people shouldn't
> be getting asked to report
> this at this point.
> - Isn't very good at dealing with repeat issues, causing more reports to
> be sent than are needed.
>
> and possibly others as well.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
>  USER PID ACCESS COMMAND
>  /dev/snd/controlC0: yoman82 3464 F.... pulseaudio
>  /dev/snd/pcmC0D0p: yoman82 3464 F...m pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'SB'/'HDA ATI SB at 0xf9ff0000 irq 16'
>    Mixer name : 'Realtek ALC888'
>    Components : 'HDA:10ec0888,18491e01,00100001'
>    Controls : 37
>    Simple ctrls : 21
> Date: Tue Sep 1 07:48:00 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=69c64130-cc6f-4a5b-952b-3ba4c893ba48
> MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.31-8-generic 2.6.31-8.28
> PccardctlIdent:
>
> PccardctlStatus:
>
> ProcCmdLine: root=UUID=19f3bdd6-1b33-48e0-808...

Read more...

Sophenus (sophenus) on 2010-01-19
Changed in linux (Ubuntu):
assignee: AndreyI (asr) → Sophenus (sophenus)
Changed in linux (Ubuntu):
assignee: Sophenus (sophenus) → tarun1577@yahoo.co.in (tarun1577)
status: Fix Released → Confirmed
Changed in kerneloops (Ubuntu):
status: Fix Released → Confirmed
Sense Egbert Hofstede (sense) wrote :

Please don't assign yourself to a bug if you're not going to work on it and please don't change the status without an explanation of why you're reopening the bug.

Changed in linux (Ubuntu):
assignee: tarun1577@yahoo.co.in (tarun1577) → nobody
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in kerneloops (Ubuntu):
status: Confirmed → Fix Released
Martini203 (shawnm203) on 2010-01-21
Changed in kerneloops (Ubuntu):
assignee: James Westby (james-w) → Martini203 (shawnm203)
assignee: Martini203 (shawnm203) → nobody
wesattexas (r-w-j) wrote :

I thought this was fixed!
Just now built fresh AMD64 system from CD and got this error.
Did Complete recommended upgrade - Sunday Jan24 10 PM. -- Still Get same Error.
ASUS M2NPV-VM main board with NVIDIA GeForce .
Have not installed (ver 185) (or any) NVIDIA drivers.

I reboot and about 1 minute later: An Error Message saying system may not be stable.
If there is a fix out there, how do I get it on my system

The fix hasnt made it on to the cd yet. So the problem is still on the cd just update the system and it will stop.

Mark Capoferri (cmarksimon) wrote :

I just ran into this bug which appears patched. However, it came up for me today 2010-01-25, and I thought this kind of problem auto-updated with the system package managers. I am running Ubuntu 9.10 Live. My systems including nine motherboards were attacked by a bios32/eeprom/LKM rootkit some time ago. I've only recently been able to somewhat bypass the original fully crippled state using recent Linux/Unix distros. This machine is based on a DFI Infinity socket 939 mb, AMD Opteron 170, MSI 6600GT graphics, 1GB Corsair 3200 2-3-3-6. The problems began when I first installed one of my legal OEM copies of Winders and used win up(&down)date. The bios was replaced/supplemented with the usual binary blobs created with Busybox and while trying to appear as unix, are basically embedded smbios with efi and monkeyboy fingerprints(aka ntfs) everywhere. Oh, it also has embedded a debian based kernel (I believe when I first installed openSUSE about a year ago) which has a dual root. Translated, my attempts at hard drive install always are fused into a crippled configuration with enough loops, devices, and processes to imitate HAL. The end result is basically always the same, no hardware control, and a preset network interface that appears to be part of some industry initiative in anticipation of passage of the new trade bill being fought by the EFF and others. I guess they're experimenting on people like me who have been reported by an m$ tech (falsely) as having commercially pirated a copy of WindersXP, Anyone want to tackle a core dump?? MC sorry if I've caused any problems posting this here, but I'm kind of desperate as I have a BS in Architecture, not Computer Science, and all I've written comes from what I've been able to teach myself the past year or so! Also, at 55 I'm not getting any younger and this is getting old!

Mark Capoferri (cmarksimon) wrote :
Download full text (28.5 KiB)

Here's the dmesg out that should have accompanied my prior comment:

root@ubuntu:/# dmesg
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 2.6.31-14-generic (buildd@crested) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu8) ) #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 (Ubuntu 2.6.31-14.48-generic)
[ 0.000000] Command line: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/ubuntu.seed boot=casper initrd=/casper/initrd.lz quiet splash acpi=off noapic nolapic edd=on nodmraid apt-setup/restricted=false apt-setup/multiverse=false
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009f400 (usable)
[ 0.000000] BIOS-e820: 000000000009f400 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 0000000040000000 (usable)
[ 0.000000] BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
[ 0.000000] DMI 2.2 present.
[ 0.000000] Phoenix BIOS detected: BIOS may corrupt low RAM, working around it.
[ 0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[ 0.000000] last_pfn = 0x40000 max_arch_pfn = 0x400000000
[ 0.000000] MTRR default type: uncachable
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-BFFFF uncachable
[ 0.000000] C0000-C7FFF write-protect
[ 0.000000] C8000-FFFFF uncachable
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 0000000000 mask FFC0000000 write-back
[ 0.000000] 1 disabled
[ 0.000000] 2 disabled
[ 0.000000] 3 disabled
[ 0.000000] 4 disabled
[ 0.000000] 5 disabled
[ 0.000000] 6 disabled
[ 0.000000] 7 disabled
[ 0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[ 0.000000] Scanning 0 areas for low memory corruption
[ 0.000000] modified physical RAM map:
[ 0.000000] modified: 0000000000000000 - 0000000000010000 (reserved)
[ 0.000000] modified: 0000000000010000 - 000000000009f400 (usable)
[ 0.000000] modified: 000000000009f400 - 00000000000a0000 (reserved)
[ 0.000000] modified: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] modified: 0000000000100000 - 0000000040000000 (usable)
[ 0.000000] modified: 00000000e0000000 - 00000000f0000000 (reserved)
[ 0.000000] modified: 00000000fec00000 - 0000000100000000 (reserved)
[ 0.000000] initial memory mapped : 0 - 20000000
[ 0.000000] init_memory_mapping: 0000000000000000-0000000040000000
[ 0.000000] Using x86 segment limits to approximate NX protection
[ 0.000000] 0000000000 - 0040000000 page 2M
[ 0.000000] kernel direct mapping tables up to 40000000 @ 10000-12000
[ 0.000000] RAMDISK: 3fa3e000 - 3ffcf2a4
[ 0.000000] Scanning NUMA topology in Northbridge 24
[ 0.000000] No NUMA configuration found
[ ...

Dave Morley (davmor2) wrote :

Please Read THIS!

This bug has been fixed as a security update. It does not affect the cd in any shape or form. The patch is applied post install when you install the update.

The Patch is not on the cd it therefore will always show up in live sessions and on the initial install until such time as you have installed the update.

Post update is the only time you need comment on this bug. That is to say once the update is in place if you are still being affected by this bug then comment please.

Many Thanks for your time.

Francisco T. (leviatan1) wrote :

I have karmic with all updates, with kernel 2.6.31-17-generic
and the problem continues:
[ 13.016907] EDAC amd64_edac: Ver: 3.2.0 Dec 10 0009
[ 13.017153] EDAC amd64: This node reports that Memory ECC is currently disabled.
[ 13.017156] EDAC amd64: bit 0x400000 in register F3x44 of the MISC_CONTROL device (0000:00:18.3) should be enabled
[ 13.017158] EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
[ 13.017159] Either Enable ECC in the BIOS, or use the 'ecc_enable_override' parameter.
[ 13.017160] Might be a BIOS bug, if BIOS says ECC is enabled
[ 13.017160] Use of the override can cause unknown side effects.
[ 13.017169] amd64_edac: probe of 0000:00:18.2 failed with error -22

mohand (kamezzug1) wrote :

ça serais bien d'avoir cette page en français, j'ai rien compris merci

goseu (goseu) on 2010-01-29
Changed in linux (Ubuntu):
status: Fix Released → Incomplete
status: Incomplete → Fix Released
Changed in linux (Ubuntu):
assignee: nobody → Photo-NAVI (photo-colmenero)
Changed in linux (Ubuntu):
assignee: Photo-NAVI (photo-colmenero) → nobody
Changed in linux (Ubuntu Karmic):
assignee: imre85 (imre-guaglianone) → nobody
Ruggio (ruggio88) on 2010-01-30
Changed in linux (Ubuntu):
status: Fix Released → New
Changed in linux (Ubuntu):
status: New → Fix Released
paradox (jodenis1) on 2010-01-30
Changed in kerneloops (Ubuntu):
assignee: nobody → paradox (jodenis1)
assignee: paradox (jodenis1) → nobody
Ramdas (empees) on 2010-02-01
Changed in linux (Ubuntu):
status: Fix Released → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
status: Fix Committed → Fix Released
Changed in kerneloops (Ubuntu Karmic):
status: New → Fix Released
Download full text (4.3 KiB)

merci beaucoup mais je ne comprends pas tout en anglais .

--- En date de : Lun 1.2.10, Shane Fagan <email address hidden> a écrit :

De: Shane Fagan <email address hidden>
Objet: [Bug 422536] Re: EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
À: <email address hidden>
Date: Lundi 1 Février 2010, 12h02

** Changed in: linux (Ubuntu)
       Status: Incomplete => Fix Committed

** Changed in: linux (Ubuntu)
       Status: Fix Committed => Fix Released

** Changed in: kerneloops (Ubuntu Karmic)
       Status: New => Fix Released

--
EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
https://bugs.launchpad.net/bugs/422536
You received this bug notification because you are a direct subscriber
of the bug.

Status in KDE frontend for sudo: Invalid
Status in The Linux Kernel: Invalid
Status in “kerneloops” package in Ubuntu: Fix Released
Status in “linux” package in Ubuntu: Fix Released
Status in “kerneloops” source package in Karmic: Fix Released
Status in “linux” source package in Karmic: Fix Committed

Bug description:
The edac_amd64 module attempts to load on many systems. If the system doesn't have ECC
memory, or it is disabled in the BIOS, then the module prints

EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
    Either Enable ECC in the BIOS, or use the 'ecc_enable_override' parameter.
    Might be a BIOS bug, if BIOS says ECC is enabled
    Use of the override can cause unknown side effects.

before failing to load. This won't cause issues for most people that see the message.

kerneloops picks this up as  kernel problem as the "WARNING:" looks a lot like what
you get when using WARN().

There are several aspects to this issue:

  * linux
     - something attempts to load the module when perhaps it doesn't need to (unclear at this point)
     - the module looks like it is using WARN() when it isn't, and is arguably more SHOUTY than
       it needs to be.
  * kerneloops
     - picks up this as WARN() when it isn't.
     - Was accidentally left enabled for the stable release, people shouldn't be getting asked to report
        this at this point.
     - Isn't very good at dealing with repeat issues, causing more reports to be sent than are needed.

and possibly others as well.

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Architecture: amd64
AudioDevicesInUse:
 USER        PID ACCESS COMMAND
 /dev/snd/controlC0:  yoman82    3464 F.... pulseaudio
 /dev/snd/pcmC0D0p:   yoman82    3464 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xf9ff0000 irq 16'
   Mixer name    : 'Realtek ALC888'
   Components    : 'HDA:10ec0888,18491e01,00100001'
   Controls      : 37
   Simple ctrls  : 21
Date: Tue Sep  1 07:48:00 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=69c64130-cc6f-4a5b-952b-3ba4c893ba48
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
NonfreeKernelModules: nvidia
Package: linux-image-2.6.31-8-generic 2.6.31-8.28
PccardctlIdent:

PccardctlStatus:
...

Read more...

mohand (kamezzug1) wrote :
Download full text (4.2 KiB)

je vous rmerci beaucoups mais je ne comprends pas tout en anglais

--- En date de : Lun 1.2.10, Ramdas <email address hidden> a écrit :

De: Ramdas <email address hidden>
Objet: [Bug 422536] Re: EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
À: <email address hidden>
Date: Lundi 1 Février 2010, 11h34

** Changed in: linux (Ubuntu)
       Status: Fix Released => Incomplete

--
EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
https://bugs.launchpad.net/bugs/422536
You received this bug notification because you are a direct subscriber
of the bug.

Status in KDE frontend for sudo: Invalid
Status in The Linux Kernel: Invalid
Status in “kerneloops” package in Ubuntu: Fix Released
Status in “linux” package in Ubuntu: Incomplete
Status in “kerneloops” source package in Karmic: New
Status in “linux” source package in Karmic: Fix Committed

Bug description:
The edac_amd64 module attempts to load on many systems. If the system doesn't have ECC
memory, or it is disabled in the BIOS, then the module prints

EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
    Either Enable ECC in the BIOS, or use the 'ecc_enable_override' parameter.
    Might be a BIOS bug, if BIOS says ECC is enabled
    Use of the override can cause unknown side effects.

before failing to load. This won't cause issues for most people that see the message.

kerneloops picks this up as  kernel problem as the "WARNING:" looks a lot like what
you get when using WARN().

There are several aspects to this issue:

  * linux
     - something attempts to load the module when perhaps it doesn't need to (unclear at this point)
     - the module looks like it is using WARN() when it isn't, and is arguably more SHOUTY than
       it needs to be.
  * kerneloops
     - picks up this as WARN() when it isn't.
     - Was accidentally left enabled for the stable release, people shouldn't be getting asked to report
        this at this point.
     - Isn't very good at dealing with repeat issues, causing more reports to be sent than are needed.

and possibly others as well.

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Architecture: amd64
AudioDevicesInUse:
 USER        PID ACCESS COMMAND
 /dev/snd/controlC0:  yoman82    3464 F.... pulseaudio
 /dev/snd/pcmC0D0p:   yoman82    3464 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xf9ff0000 irq 16'
   Mixer name    : 'Realtek ALC888'
   Components    : 'HDA:10ec0888,18491e01,00100001'
   Controls      : 37
   Simple ctrls  : 21
Date: Tue Sep  1 07:48:00 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=69c64130-cc6f-4a5b-952b-3ba4c893ba48
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
NonfreeKernelModules: nvidia
Package: linux-image-2.6.31-8-generic 2.6.31-8.28
PccardctlIdent:

PccardctlStatus:

ProcCmdLine: root=UUID=19f3bdd6-1b33-48e0-8081-d00e178d9f7d ro splash vga=792
ProcVersionSignature: Ubuntu 2.6.31-8.28-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-8-gen...

Read more...

cliffyboy (cliffraf) on 2010-02-02
Changed in linux (Ubuntu Karmic):
assignee: nobody → cliffyboy (cliffraf)
Changed in kerneloops (Ubuntu Karmic):
status: Fix Released → Fix Committed
Changed in linux (Ubuntu Karmic):
assignee: cliffyboy (cliffraf) → nobody
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
assignee: nobody → christophedubost (christophedubost)
Changed in linux (Ubuntu):
assignee: christophedubost (christophedubost) → nobody
michael (michaeljwarner) on 2010-02-08
Changed in linux (Ubuntu):
assignee: nobody → michael (michaeljwarner)
Changed in linux (Ubuntu):
assignee: michael (michaeljwarner) → nobody
aftertaf (david-wooffindin) wrote :

errr....
Dave, post #238 : i think I am in this case
here's my dmesg as of 10 minutes ago . . .

Linux version 2.6.31-20-generic (buildd@yellow) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu9) ) #57-Ubuntu

Download full text (4.5 KiB)

Selon aftertaf <email address hidden>:

> errr....
> Dave, post #238 : i think I am in this case
> here's my dmesg as of 10 minutes ago . . .
>
> Linux version 2.6.31-20-generic (buildd@yellow) (gcc version 4.4.1
> (Ubuntu 4.4.1-4ubuntu9) ) #57-Ubuntu
>
Après mise à jour, le bug disparait.
>
> ** Attachment added: "karmic latest kernel :Linux version 2.6.31-20-generic
> (buildd@yellow) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu9) ) #57-Ubuntu"
> http://launchpadlibrarian.net/38902858/dmesg.txt
>
> --
> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
> NOT be loaded.
> https://bugs.launchpad.net/bugs/422536
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in KDE frontend for sudo: Invalid
> Status in The Linux Kernel: Invalid
> Status in “kerneloops” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “kerneloops” source package in Karmic: Fix Committed
> Status in “linux” source package in Karmic: Fix Released
>
> Bug description:
> The edac_amd64 module attempts to load on many systems. If the system doesn't
> have ECC
> memory, or it is disabled in the BIOS, then the module prints
>
> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
> NOT be loaded.
> Either Enable ECC in the BIOS, or use the 'ecc_enable_override'
> parameter.
> Might be a BIOS bug, if BIOS says ECC is enabled
> Use of the override can cause unknown side effects.
>
> before failing to load. This won't cause issues for most people that see the
> message.
>
> kerneloops picks this up as kernel problem as the "WARNING:" looks a lot
> like what
> you get when using WARN().
>
> There are several aspects to this issue:
>
> * linux
> - something attempts to load the module when perhaps it doesn't need to
> (unclear at this point)
> - the module looks like it is using WARN() when it isn't, and is
> arguably more SHOUTY than
> it needs to be.
> * kerneloops
> - picks up this as WARN() when it isn't.
> - Was accidentally left enabled for the stable release, people shouldn't
> be getting asked to report
> this at this point.
> - Isn't very good at dealing with repeat issues, causing more reports to
> be sent than are needed.
>
> and possibly others as well.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
>  USER PID ACCESS COMMAND
>  /dev/snd/controlC0: yoman82 3464 F.... pulseaudio
>  /dev/snd/pcmC0D0p: yoman82 3464 F...m pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'SB'/'HDA ATI SB at 0xf9ff0000 irq 16'
>    Mixer name : 'Realtek ALC888'
>    Components : 'HDA:10ec0888,18491e01,00100001'
>    Controls : 37
>    Simple ctrls : 21
> Date: Tue Sep 1 07:48:00 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=69c64130-cc6f-4a5b-952b-3ba4c893ba48
> MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
> NonfreeKernelModules: nvidia
> ...

Read more...

Minux (bruno-seradzski) wrote :
Download full text (4.2 KiB)

Selon Sense Hofstede <email address hidden>:

> ** Changed in: linux (Ubuntu)
> Assignee: michael (michaeljwarner) => (unassigned)
>
Après mise à jour, le bug disparait.
> --
> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
> NOT be loaded.
> https://bugs.launchpad.net/bugs/422536
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in KDE frontend for sudo: Invalid
> Status in The Linux Kernel: Invalid
> Status in “kerneloops” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “kerneloops” source package in Karmic: Fix Committed
> Status in “linux” source package in Karmic: Fix Released
>
> Bug description:
> The edac_amd64 module attempts to load on many systems. If the system doesn't
> have ECC
> memory, or it is disabled in the BIOS, then the module prints
>
> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
> NOT be loaded.
> Either Enable ECC in the BIOS, or use the 'ecc_enable_override'
> parameter.
> Might be a BIOS bug, if BIOS says ECC is enabled
> Use of the override can cause unknown side effects.
>
> before failing to load. This won't cause issues for most people that see the
> message.
>
> kerneloops picks this up as kernel problem as the "WARNING:" looks a lot
> like what
> you get when using WARN().
>
> There are several aspects to this issue:
>
> * linux
> - something attempts to load the module when perhaps it doesn't need to
> (unclear at this point)
> - the module looks like it is using WARN() when it isn't, and is
> arguably more SHOUTY than
> it needs to be.
> * kerneloops
> - picks up this as WARN() when it isn't.
> - Was accidentally left enabled for the stable release, people shouldn't
> be getting asked to report
> this at this point.
> - Isn't very good at dealing with repeat issues, causing more reports to
> be sent than are needed.
>
> and possibly others as well.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
>  USER PID ACCESS COMMAND
>  /dev/snd/controlC0: yoman82 3464 F.... pulseaudio
>  /dev/snd/pcmC0D0p: yoman82 3464 F...m pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'SB'/'HDA ATI SB at 0xf9ff0000 irq 16'
>    Mixer name : 'Realtek ALC888'
>    Components : 'HDA:10ec0888,18491e01,00100001'
>    Controls : 37
>    Simple ctrls : 21
> Date: Tue Sep 1 07:48:00 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=69c64130-cc6f-4a5b-952b-3ba4c893ba48
> MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.31-8-generic 2.6.31-8.28
> PccardctlIdent:
>
> PccardctlStatus:
>
> ProcCmdLine: root=UUID=19f3bdd6-1b33-48e0-8081-d00e178d9f7d ro splash vga=792
> ProcVersionSignature: Ubuntu 2.6.31-8.28-generic
> RelatedPackageVersions:
>  linux-backports-modules-2.6.31-8-generic N/A
>  linux-firmware 1.16
> RfKill:
>  0: p...

Read more...

sarahm (sam2600420) on 2010-02-10
Changed in linux (Ubuntu):
assignee: nobody → sarahm (sam2600420)
assignee: sarahm (sam2600420) → nobody
star949 (star949) on 2010-02-11
Changed in linux (Ubuntu):
status: Fix Released → New
Changed in linux (Ubuntu):
status: New → Fix Released
Vella (vella) on 2010-02-13
Changed in kerneloops (Ubuntu):
assignee: nobody → olita.g (olita-g)
Changed in kerneloops (Ubuntu):
assignee: olita.g (olita-g) → nobody
Changed in kerneloops (Ubuntu):
status: Fix Released → Confirmed
Changed in linux (Ubuntu):
status: Fix Released → New
Changed in linux (Ubuntu):
status: New → Fix Released
Changed in kerneloops (Ubuntu):
status: Confirmed → Fix Released
theangel777 (theangel12) on 2010-02-14
Changed in linux (Ubuntu):
assignee: nobody → theangel777 (theangel12)
Changed in linux (Ubuntu):
assignee: theangel777 (theangel12) → nobody
Download full text (4.3 KiB)

This constant reassignment is fun to watch. If I had the time I'd dive into
the code. Good luck to whomever finally takes this task on... or marks it as
completed.

On Sun, Feb 14, 2010 at 1:26 PM, Sense Hofstede <email address hidden> wrote:

> ** Changed in: linux (Ubuntu)
> Assignee: theangel777 (theangel12) => (unassigned)
>
> --
> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
> NOT be loaded.
> https://bugs.launchpad.net/bugs/422536
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in KDE frontend for sudo: Invalid
> Status in The Linux Kernel: Invalid
> Status in “kerneloops” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “kerneloops” source package in Karmic: Fix Committed
> Status in “linux” source package in Karmic: Fix Released
>
> Bug description:
> The edac_amd64 module attempts to load on many systems. If the system
> doesn't have ECC
> memory, or it is disabled in the BIOS, then the module prints
>
> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
> NOT be loaded.
> Either Enable ECC in the BIOS, or use the 'ecc_enable_override'
> parameter.
> Might be a BIOS bug, if BIOS says ECC is enabled
> Use of the override can cause unknown side effects.
>
> before failing to load. This won't cause issues for most people that see
> the message.
>
> kerneloops picks this up as kernel problem as the "WARNING:" looks a lot
> like what
> you get when using WARN().
>
> There are several aspects to this issue:
>
> * linux
> - something attempts to load the module when perhaps it doesn't need to
> (unclear at this point)
> - the module looks like it is using WARN() when it isn't, and is
> arguably more SHOUTY than
> it needs to be.
> * kerneloops
> - picks up this as WARN() when it isn't.
> - Was accidentally left enabled for the stable release, people
> shouldn't be getting asked to report
> this at this point.
> - Isn't very good at dealing with repeat issues, causing more reports
> to be sent than are needed.
>
> and possibly others as well.
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: yoman82 3464 F.... pulseaudio
> /dev/snd/pcmC0D0p: yoman82 3464 F...m pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'SB'/'HDA ATI SB at 0xf9ff0000 irq 16'
> Mixer name : 'Realtek ALC888'
> Components : 'HDA:10ec0888,18491e01,00100001'
> Controls : 37
> Simple ctrls : 21
> Date: Tue Sep 1 07:48:00 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=69c64130-cc6f-4a5b-952b-3ba4c893ba48
> MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.31-8-generic 2.6.31-8.28
> PccardctlIdent:
>
> PccardctlStatus:
>
> ProcCmdLine: root=UUID=19f3bdd6-1b33-48e0-8081-d00e178d9f7d ro splash
> vga=792
> ProcVersionSignature: Ubuntu 2.6.31-8.28-ge...

Read more...

Ramdas (empees) on 2010-02-15
Changed in linux (Ubuntu):
status: Fix Released → New
Mark Capoferri (cmarksimon) wrote :
Download full text (10.3 KiB)

Thanks to everyone (and my apologies for not being multi-lingual!) I
think someone should formally close this as I was mistaken in posting
it here in the first place. However, if any reader is of this post is
interested in kernel security, feel free to contact me directly. This
error, which I've tried to update and install (64-bit) is being caused
by a rootkit embedded in my BIOS/eeprom with ms fingerprints all over
it. My repositories are configured by an embedded malware kernel
rootkit.

It has prevented me from establishing a successful inet/ethernet
connection for over two years (it infected nine separate motherboards)
and while now able to connect thanks to live Linux distros, still will
not allow non-root-compromised HD install in the case of 32-bit
versions or preventing any 64-bit install by preseeding the
bootstrap/boot config by use of an embedded kernel written with
Busybox.

I believe based on collected evidence, this is an experimental
framework devised by the folks behind the AFTA agreement, and will be
used on people who use illegal copies of software (in my case, one
illegal copy of xp installed at a business.) If you ever wonder what
happens to people who are reported to the ms anonymous piracy center
and aren't worth filing a legal case for, we're used as experimental
fodder for their latest ant-piracy techniques. And this is in full
conjunction with IANA, RIPE, IEEE, and many others who are
participating in this method of evading US Federal Statutes by
contracting the work to offshore divisions or organizations who don't
have a Constitution or Bill of Rights.

My DNS server and connection settings are included in the embedded
kernel and use an Australian DNS address despite the fact that I live
in the suburbs of Philadelphia. Kinda out of the way for a DNS lookup,
dontcha think?

Actually, you should all be worried, since it means George Orwell was
just off by 25 years.

mc
<email address hidden>

On Mon, Feb 15, 2010 at 12:55 AM, tgui <email address hidden> wrote:
> This constant reassignment is fun to watch. If I had the time I'd dive into
> the code. Good luck to whomever finally takes this task on... or marks it as
> completed.
>
> On Sun, Feb 14, 2010 at 1:26 PM, Sense Hofstede <email address hidden> wrote:
>
>> ** Changed in: linux (Ubuntu)
>>     Assignee: theangel777 (theangel12) => (unassigned)
>>
>> --
>> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
>> NOT be loaded.
>> https://bugs.launchpad.net/bugs/422536
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in KDE frontend for sudo: Invalid
>> Status in The Linux Kernel: Invalid
>> Status in “kerneloops” package in Ubuntu: Fix Released
>> Status in “linux” package in Ubuntu: Fix Released
>> Status in “kerneloops” source package in Karmic: Fix Committed
>> Status in “linux” source package in Karmic: Fix Released
>>
>> Bug description:
>> The edac_amd64 module attempts to load on many systems. If the system
>> doesn't have ECC
>> memory, or it is disabled in the BIOS, then the module prints
>>
>> EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will
>> NOT b...

Martin Pitt (pitti) on 2010-02-15
Changed in linux (Ubuntu):
status: New → Fix Released
luis (l-tomas26) on 2010-02-16
Changed in kerneloops (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
assignee: nobody → egims (ed-harris-sr)
description: updated
Navaid (navaid-rahmani) on 2010-02-18
Changed in linux (Ubuntu):
assignee: nobody → Navaid (navaid-rahmani)
affects: kdesudo → null
Giovanni Condello (nanomad) wrote :

This bug is also present in Lucid (same error message, different kernel version)

Benoit THIBAUD (frombenny) wrote :

Don't know if it's the same problem I had before the new version of kernel. The computer froze when I was writting a "sudo" command in a terminal like "sudo update-grub". Now the xorg restart instead of freezing the computer.

Dave Morley (davmor2) wrote :

I have set this bug back to confirmed as it now appears to be affecting Lucids kernel.

Iso ubutnu 20100222 desktop 64bit
Kernel linux-image-2.6.32-14-generic

This happen both during the the install and once installed.

Pitti advised to reopen the bug.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
James Westby (james-w) wrote :

Hi Dave,

Please open a new bug report. This bug is too large to be focused on the issue
at hand.

Thanks,

James

Changed in linux (Ubuntu):
assignee: Navaid (navaid-rahmani) → nobody
status: Confirmed → Fix Released
billb0b (dragon00114) on 2010-02-23
Changed in linux (Ubuntu):
assignee: nobody → billb0b (dragon00114)
status: Fix Released → Confirmed
Changed in linux (Ubuntu):
assignee: billb0b (dragon00114) → nobody
status: Confirmed → Fix Released
Peter (hargshamn) on 2010-02-23
Changed in linux:
status: Invalid → Incomplete
status: Incomplete → Confirmed
Changed in null:
status: Invalid → Fix Released
Changed in linux:
status: Confirmed → Fix Committed
Martin Pitt (pitti) on 2010-02-24
Changed in null:
status: Fix Released → Invalid
Changed in linux:
status: Fix Committed → Invalid
Changed in kerneloops (Ubuntu):
assignee: nobody → theevilbeast (evil-beast-the-great)
Changed in kerneloops (Ubuntu):
assignee: theevilbeast (evil-beast-the-great) → nobody
kychen (kychen336) on 2010-02-27
Changed in linux (Ubuntu):
status: Fix Released → New
status: New → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
federico (spari83) on 2010-02-27
Changed in linux (Ubuntu):
assignee: nobody → federico (spari83)
Changed in linux (Ubuntu):
assignee: federico (spari83) → nobody
pomelo13 (fede-murray) on 2010-03-01
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
PierreR1 (pierrer1) on 2010-03-02
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Jim (JR) Harris (jimrh) wrote :

Date: March 2, 2010 - appx 7:05 pm EST.

Installed 9.10 desktop on an AMD X2 64 bit system using the 64 bit distribution.

I am currently running kernel version 2.6.31-19 - with all current updates installed.

This &^%$#@!!!!! bug should be (IMHO) be rated as darn-near a show-stopper severity and "5 alarm fire" for priority.

1. It causes my system to become virtually unusable at times (randomly).
2. There seems to be no workaround available - aside from removing the O/S and installing a different one. (i.e. The only way to fix M$ Vista is to un-install it and replace it with something that works!)

I am using the NVIDIA proprietary drivers (185)

Behavior of this bug as I see it:

1. *Anything* that I do that causes a change or update in the system's configuration causes this issue to appear. (i.e. Update Manager, apt-get, software installation tools, etc.)
2. The presence of this bug can and does provoke other occurrences of the bug.
(i.e. The process of handling and reporting the bug in Apport triggers other instances of the bug - or so it seems)
3. I get 3, 4, or 5 kernel oops's fired off at a time - one clobbering (stepping on) the other as they seem to compete for desktop and browser resources! Because of this I have not been able to capture bug info to append to this.

IMHO, adding or removing software packages is a normal and expected behavior. Receiving and applying updates as they become available is also a normal and expected behavior. Launching, loading, and attempting to USE this BLASTED OPERATING SYSTEM should also be considered a normal and expected behavior. However, in this case, it provokes these problems. Like the one gentleman said, if Microsoft, (or Apple or Sun), had this problem, people would be all over their [donkey] like a dirty diaper castigating them for such a piece of GAGH! O/S they had.

The range of system responses has gone from "ho-hum, another oops" - all the way to a scrambled display, and a system frozen solid as a rock, with just about every variation in between.

/rant ( :-) )

I do appreciate everyone's efforts. It's just frustrating as *#^!! when I'm trying to get a machine with XP, Win7, and Ubuntu to multi-boot properly - and it's *Ubuntu* that's giving me the real grief here.

Any hope for a fix anytime soon?

Thanks!

Jim

On Wed, 03 Mar 2010 00:25:13 -0000, "Jim \(JR\) Harris" <email address hidden> wrote:
> Date: March 2, 2010 - appx 7:05 pm EST.
>
> Installed 9.10 desktop on an AMD X2 64 bit system using the 64 bit
> distribution.
>
> I am currently running kernel version 2.6.31-19 - with all current
> updates installed.
>
> This &^%$#@!!!!! bug should be (IMHO) be rated as darn-near a show-
> stopper severity and "5 alarm fire" for priority.
>
> 1. It causes my system to become virtually unusable at times (randomly).
> 2. There seems to be no workaround available - aside from removing the O/S and installing a different one. (i.e. The only way to fix M$ Vista is to un-install it and replace it with something that works!)
>
> I am using the NVIDIA proprietary drivers (185)
>
> Behavior of this bug as I see it:
>
> 1. *Anything* that I do that causes a change or update in the system's configuration causes this issue to appear. (i.e. Update Manager, apt-get, software installation tools, etc.)
> 2. The presence of this bug can and does provoke other occurrences of the bug.
> (i.e. The process of handling and reporting the bug in Apport triggers other instances of the bug - or so it seems)
> 3. I get 3, 4, or 5 kernel oops's fired off at a time - one clobbering (stepping on) the other as they seem to compete for desktop and browser resources! Because of this I have not been able to capture bug info to append to this.
>
> IMHO, adding or removing software packages is a normal and expected
> behavior. Receiving and applying updates as they become available is
> also a normal and expected behavior. Launching, loading, and attempting
> to USE this BLASTED OPERATING SYSTEM should also be considered a normal
> and expected behavior. However, in this case, it provokes these
> problems. Like the one gentleman said, if Microsoft, (or Apple or Sun),
> had this problem, people would be all over their [donkey] like a dirty
> diaper castigating them for such a piece of GAGH! O/S they had.
>
> The range of system responses has gone from "ho-hum, another oops" - all
> the way to a scrambled display, and a system frozen solid as a rock,
> with just about every variation in between.
>
> /rant ( :-) )
>
> I do appreciate everyone's efforts. It's just frustrating as *#^!! when
> I'm trying to get a machine with XP, Win7, and Ubuntu to multi-boot
> properly - and it's *Ubuntu* that's giving me the real grief here.
>
> Any hope for a fix anytime soon?

Hi,

I appreciate your concern with the issues that you are experiencing,
however, I think you are pointing at the wrong root cause.

This bug is a spurious warning message, that should have no effect on
your system unless you actually have ECC memory and are expecting to
make use of it. It won't make you system unusable.

Yes, there are usability issues with the oops reporting tool, but I
suggest you go ahead an file any oops reports that don't point to this
bug, as they are more likely to be the cause of the issues that you are
experiencing, and so will be much more helpful in trying to determine
what is going on.

Thanks,

James

On 3 March 2010 01:25, Jim (JR) Harris <email address hidden> wrote:
> Date: March 2, 2010 - appx 7:05 pm EST.
>
> Installed 9.10 desktop on an AMD X2 64 bit system using the 64 bit
> distribution.
>
> I am currently running kernel version 2.6.31-19 - with all current
> updates installed.
>
> This &^%$#@!!!!! bug should be (IMHO) be rated as darn-near a show-
> stopper severity and "5 alarm fire" for priority.
>
> 1.  It causes my system to become virtually unusable at times (randomly).
> 2.  There seems to be no workaround available - aside from removing the O/S and installing a different one. (i.e. The only way to fix M$ Vista is to un-install it and replace it with something that works!)
>
> I am using the NVIDIA proprietary drivers (185)
>
> Behavior of this bug as I see it:
>
> 1.  *Anything* that I do that causes a change or update in the system's configuration causes this issue to appear.  (i.e.  Update Manager, apt-get, software installation tools, etc.)
> 2.  The presence of this bug can and does provoke other occurrences of the bug.
> (i.e.  The process of handling and reporting the bug in Apport triggers other instances of the bug - or so it seems)
> 3.  I get 3, 4, or 5 kernel oops's fired off at a time - one clobbering (stepping on) the other as they seem to compete for desktop and browser resources!  Because of this I have not been able to capture bug info to append to this.
>
> IMHO, adding or removing software packages is a normal and expected
> behavior.  Receiving and applying updates as they become available is
> also a normal and expected behavior.  Launching, loading, and attempting
> to USE this BLASTED OPERATING SYSTEM should also be considered a normal
> and expected behavior.  However, in this case, it provokes these
> problems.  Like the one gentleman said, if Microsoft, (or Apple or Sun),
> had this problem, people would be all over their [donkey] like a dirty
> diaper castigating them for such a piece of GAGH! O/S they had.
>
> The range of system responses has gone from "ho-hum, another oops" - all
> the way to a scrambled display, and a system frozen solid as a rock,
> with just about every variation in between.
>
> /rant  ( :-) )
>
> I do appreciate everyone's efforts.  It's just frustrating as *#^!! when
> I'm trying to get a machine with XP, Win7, and Ubuntu to multi-boot
> properly - and it's *Ubuntu* that's giving me the real grief here.
>
> Any hope for a fix anytime soon?
>
> Thanks!
>
> Jim
>

Please take into consideration that Ubuntu 10.04 Lucid Lynx is
currently an alpha release and will only be released at the very end
of April. Bugs are expected, it is not recommended to use Lucid in
production environments.

Changed in linux (Ubuntu):
assignee: nobody → niyamath (niyamathspiderman007)
Changed in linux (Ubuntu):
assignee: niyamath (niyamathspiderman007) → nobody
drphil (drphilip) on 2010-03-06
Changed in linux (Ubuntu):
assignee: nobody → drphil (drphilip)
status: Fix Released → Incomplete
Changed in linux (Ubuntu):
assignee: drphil (drphilip) → nobody
status: Incomplete → Fix Released
Changed in kerneloops (Ubuntu):
assignee: nobody → ignas (ignas-traskevicius)
Changed in kerneloops (Ubuntu):
assignee: ignas (ignas-traskevicius) → nobody
hire900 (sagitario-frb-95) wrote :

The edac_amd64 module attempts to load on many systems. If the system doesn't have ECC
memory, or it is disabled in the BIOS, then the module prints

EDAC amd64: WARNING: ECC is NOT currently enabled by the BIOS. Module will NOT be loaded.
    Either Enable ECC in the BIOS, or use the 'ecc_enable_override' parameter.
    Might be a BIOS bug, if BIOS says ECC is enabled
    Use of the override can cause unknown side effects.

Changed in linux (Ubuntu):
assignee: nobody → hire900 (sagitario-frb-95)
Changed in linux (Ubuntu):
assignee: hire900 (sagitario-frb-95) → nobody
bnsharath (univol) on 2010-03-11
Changed in linux (Ubuntu):
assignee: nobody → bnsharath (univol)
Changed in linux (Ubuntu):
assignee: bnsharath (univol) → nobody
Changed in linux (Ubuntu):
assignee: nobody → jimescalzo1 (jimescalzo1)
zigi (zigikralj) on 2010-03-12
Changed in kerneloops (Ubuntu):
assignee: nobody → zigi (zigikralj)
assignee: zigi (zigikralj) → nobody
Changed in linux (Ubuntu):
assignee: jimescalzo1 (jimescalzo1) → nobody
PierreR1 (pierrer1) on 2010-03-14
Changed in linux (Ubuntu):
assignee: nobody → PierreR1 (pierrer1)
Changed in linux (Ubuntu):
assignee: PierreR1 (pierrer1) → nobody
ricyaun (rickyaun) wrote :
Download full text (3.3 KiB)

If this problem just popped up on you and did not appear upon installation then look to your NETSTAT command in terminal. On my machine this is caused by hackers attempting to cause a problem. The terminal command for this is netstat --inet -an. See if you get something that looks like mine.

ric@ric-desktop:~$ netstat --inet -an
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address Foreign Address State
tcp 0 0 127.0.0.1:631 0.0.0.0:* LISTEN
tcp 0 0 192.168.1.100:42908 72.14.204.19:80 ESTABLISHED
tcp 0 0 192.168.1.100:60936 64.233.169.166:443 ESTABLISHED
tcp 0 0 192.168.1.100:37803 91.189.89.222:443 ESTABLISHED
tcp 0 0 192.168.1.100:50939 91.189.89.225:443 ESTABLISHED
tcp 0 0 192.168.1.100:36574 64.233.169.103:443 ESTABLISHED
tcp 0 0 192.168.1.100:38757 64.233.169.138:80 ESTABLISHED
tcp 0 0 192.168.1.100:44665 72.14.204.19:443 ESTABLISHED
tcp 0 0 192.168.1.100:39014 173.194.4.20:80 ESTABLISHED
tcp 0 0 192.168.1.100:44669 72.14.204.19:443 ESTABLISHED
tcp 0 0 192.168.1.100:40278 74.125.115.97:443 ESTABLISHED
tcp 0 0 192.168.1.100:50935 91.189.89.225:443 ESTABLISHED
tcp 0 0 192.168.1.100:37806 91.189.89.222:443 ESTABLISHED
tcp 0 0 192.168.1.100:54105 74.125.113.132:443 ESTABLISHED
tcp 0 0 192.168.1.100:50938 91.189.89.225:443 ESTABLISHED
tcp 0 0 192.168.1.100:44672 72.14.204.19:443 ESTABLISHED
tcp 0 0 192.168.1.100:44673 72.14.204.19:443 ESTABLISHED
tcp 0 0 192.168.1.100:44666 72.14.204.19:443 ESTABLISHED
tcp 0 0 192.168.1.100:55331 64.233.169.103:80 ESTABLISHED
tcp 0 0 192.168.1.100:57620 72.14.204.189:443 ESTABLISHED
tcp 0 0 192.168.1.100:37805 91.189.89.222:443 ESTABLISHED
tcp 0 0 192.168.1.100:36569 64.233.169.103:443 ESTABLISHED
tcp 0 0 192.168.1.100:44667 72.14.204.19:443 ESTABLISHED
udp 0 0 0.0.0.0:5353 0.0.0.0:*
udp 0 0 0.0.0.0:34228 0.0.0.0:*
udp 0 0 0.0.0.0:68 0.0.0.0:*

I am having big hacker issues. The Canonical Addresses are not Canonical trying to help me out. I have much data on this crew. They are on me 24/7 trying to keep me from gathering data on them. Anyone wants to know exactly what is going on can contact me at <email address hidden>. The object of their activities is to cause computer replacement. If your computer is over 2 years old is their guideline.
these guys can ghost a network in nothing flat. Primarily they work Windows OS, but in my case they have learned to do Linux. They walk through Firefox security like it is nothing.
So look to your NETSTAT in terminal before blaming Ubuntu. ...

Read more...

Raemys (raemys) on 2010-03-20
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Jeremy Foshee (jeremyfoshee) wrote :

changed back to Fix Released.

Raemys, was there some reason for the status change?

Thanks

~JFo

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in kerneloops (Ubuntu):
status: Fix Released → Confirmed
Martin Pitt (pitti) on 2010-03-22
Changed in kerneloops (Ubuntu):
status: Confirmed → Fix Released
ricyaun (rickyaun) wrote :

     In reference to #256. I realize that the 1st reaction to a statement like I made is another conspiracy nut, but that isn't true. My OS made the bug report automatically, and Firefox brought me here. I didn't know about this website existed until these things happened. What I said is true.
     Frankly as I read these postings I am reminded of the WUAUENG1.dll problem the XP Pro x64 community had in 2009. I was a contributor to the resolution of this issue. I have a blubbery thank you email from Microsoft to prove it. What was going on was the mentioned file in the system32 folder was being removed when a registry cleaner was installed. This file allows manual updating of Windows. Without it only automatic updating is allowed, which is exactly how their system works. They inject problems into the OSes through the updates. Their main update utility is HP Update, not Microsoft. Once established they generate phony Windows updates, Microsoft updates, and (I have been aware for 3 months now) phony Ubuntu updates.
Their purpose is to cause the sale of new computers since computer hardware is so much more reliable than other consumer goods. If you go to a retail outlet the average computer isn't really much different from the computers on the sales floors 4 years ago. People just don't tend to replace their computers unless they need to. As long as it does the job they are happy.
     Apparently these guys have noted an issue Karmic had in the beginning, and seized upon it. As proof of what I am saying the Bug #422536 which will show on Live CD operation as IO error on boot up, and as a crash report on HDD boot up was removed immediately upon my posting of #256. I no longer have it. This tells me in a big way they are afraid of the Linux community, and well they ought to be. The Linux community is definitely a step up from the Windows community.
     The reason for this is in 2009 I discovered a FAT16 hidden partition on my hard drive with 80 GB of their data. I was unable to open this partition. They were going in and out of my computer like it had a revolving door on it. So much so that the door never stopped spinning. Since I was unable open the data I wiped it thinking they would go away. Instead they came looking for vengeance. If they had gone away I would never have gained the knowledge I have now. Now after 8 months of 24/7 battles I have so much knowledge that they don't dare to let go. Catch 22 for them.
     I need some help finding out how to roll back my hdd, and then opening that partition. If this is done we will win a mighty battle in the freedom of the Internet war.
     I am going to contact the Ubuntu teams, Mozilla, and the FSF. If anyone here can help email me at <email address hidden> or since emails can be blocked call me at 352-468-1857 in Florida in the United States. Any help will be greatly appreciated. Any and all requests for more info will be welcomed.
     I am going to also contact Marc Capoferri reference to #247. Despite the acronyms he undoubtedly has good data to contribute.

Thank you
Ric Yaun <email address hidden> 352-468-1857 Florida, United States

ricyaun (rickyaun) wrote :

Postscript to #258.
I have just read #252. There is a good example. No fix can be generated for the what until the who is dealt with. No matter what you do. Not only is it affecting Karmic, but is also as I see appearing in Lucid Lynx. A brand new OS not yet in final release. Not only that I am aware of other CMOS/MBR bugs being generated to cause OS problems.

ricyaun (rickyaun) wrote :

Well guys here I am back again. I have another machine virtually identical to the first. It also displays this bug and a new one also. This is the machine I downloaded my copy of Karmic with. It is configured with CMOS root kit that is not only making this bug report, but also reboots if I try to install Karmic on it. This particular version of the root kit also prevents a particular brand and model of monitor from displaying Ubuntu above a particular resolution only on it. When tried on my other identical computer it works fine. This is confirmed. So if these corporate black hats try to modify my other machine it is already too late to stop a record from being created.
Again the reason they are on me so bad is I have 80GB of their data residing on a hard drive that needs to rolled back to it. I am positive this will open their entire operation up. Expose them to the daylight which is deadly to bloodsuckers like these guys.
They are plainly attempting to destabilize the Linux community. Make it like the Windows group with constant updates and problems.
I have enough exposure to these guys I even have a nickname for one of them. Mr. BBC/Canonical. Pretty bad don't you think when a person's familiarity with people who live in the shadows like they do reaches a point like that.
They have driven my 80 year old mother off of the internet, and also one of my best friends. They have neither the skills or resources to deal with the problem. I have told all of my friends not to call or email for fear of being identified with me. My email and telephone are bugged. Law enforcement has the same attitude as all of the software types I have talked to have. Arrogant, inexperienced in field service, lack hardware knowledge, and won't listen to anything outside of their experience.
It would be nice if anyone becomes interested. In the mean time keep blaming everything on Microsoft.
Sincerely
<email address hidden>

mudragel (mudragel5) on 2010-04-04
Changed in linux (Ubuntu Karmic):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Peter Wert (p-wert) on 2010-04-08
Changed in linux (Ubuntu):
assignee: nobody → Peter Wert (p-wert)

totally confused now............ I thought i was gaining access to a fix to allow me to get a 12 year old hp parallel printer to work on amd64 karmic...................... where is the fix, how to I get it . jesus linux doesn't half make me feel dumb, which I am not.

Changed in kerneloops (Ubuntu):
status: Fix Released → Confirmed
status: Confirmed → Fix Released
Ronshua (ronshua) on 2010-04-30
Changed in kerneloops (Ubuntu):
status: Fix Released → Fix Committed
Martin Pitt (pitti) on 2010-04-30
Changed in kerneloops (Ubuntu):
status: Fix Committed → Fix Released
wilkec (wilkec) on 2010-05-23
Changed in linux (Ubuntu):
status: Fix Released → New
1 comments hidden view all 267 comments
Alf Gaida (info-g-com) wrote :

And by the way, I'am running arch with an 2.6.34 and the error appears to. Thank you guys to post so much dmsgs, so i dont do this. I read a mail discussion last week, which should declare the situation. It seems to mee, as these guys wrote so, as it was not a fault and they classified it newly. The known errors should be within the same module, but dont be affected from these messages.

Wait a little bit, i should find this post soon.

Alf Gaida (info-g-com) wrote :

https://patchwork.kernel.org/patch/78719/

<quote>
> > I think changing WARNING to a NOTICE in the log output
> would stop the oops parsing code from thinking this an OOPS
> event, when it is not
</quote>

<quote> > How about something like the following? If everyone is ok
> with that
> I'll send it to Linus and stable later since it is trivial
> enough:
>
> dmesg:
>
> EDAC amd64: ECC disabled in the BIOS or no ECC capability,
> module will not load.
> Either enable ECC checking or force module loading by
> setting 'ecc_enable_override'.
> (Note that use of the override may cause unknown side
> effects.)</quote>

And her a quote from the patch:
<quote>
-static const char *ecc_warning =
- "WARNING: ECC is disabled by BIOS. Module will NOT be loaded.\n"
- " Either Enable ECC in the BIOS, or set 'ecc_enable_override'.\n"
- " Also, use of the override can cause unknown side effects.\n";
+static const char *ecc_msg =
+ "ECC disabled in the BIOS or no ECC capability, module will not load.\n"
+ " Either enable ECC checking or force module loading by setting "
+ "'ecc_enable_override'.\n"
+ " (Note that use of the override may cause unknown side effects.)\n";
</quote>

i have the new notice instead of a warning in a 2.6.33 an 34 too ;-) If you had problems with your kernel, these notice does nothing. For me i figured out a timing problem, solved by nolapic_timer. Running a P965BE on a Gigabyte MA790FXT-UD5P

tags: added: kj-triage
Jeremy Foshee (jeremyfoshee) wrote :

Please do not reopen Fix released bugs. If you feel you are affected by a bug, please open a new bug using ubuntu-bug linux.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: New → Fix Released
Changed in kerneloops (Ubuntu):
assignee: nobody → Astral_Eclipse (alien-galaxy)
Changed in kerneloops (Ubuntu):
assignee: Astral_Eclipse (alien-galaxy) → nobody
Changed in linux (Ubuntu):
assignee: Peter Wert (p-wert) → nobody
Changed in kerneloops (Ubuntu Karmic):
status: Fix Released → Confirmed
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Changed in kerneloops (Ubuntu):
status: Fix Released → Fix Committed
Changed in kerneloops (Ubuntu Karmic):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Karmic):
status: Fix Released → Fix Committed
Changed in linux (Ubuntu):
assignee: nobody → Bognár Róbert (haloszovo)

Essentially the disposition of this is SPAM by now. If one looks back
50 emails or so you'll see that I first reported this bug. I'm sorry I did.

Marty Felker

On 6/29/2010 4:00 AM, Bognár Róbert wrote:
> ** Changed in: linux (Ubuntu)
> Assignee: (unassigned) => Bognár Róbert (haloszovo)
>
>

Roy Snabilié (okkietje) wrote :

This error will apaer on the background and will manifest with asign in the upper panel

Changed in linux (Ubuntu):
assignee: Bognár Róbert (haloszovo) → nobody
Changed in kerneloops (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in kerneloops (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in kerneloops (Ubuntu):
assignee: nobody → federicosm2 (federicosm2)
Displaying first 40 and last 40 comments. View all 267 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers